QGIS Application - Bug report #6052
QGIS 1.8 crashes on startup on OpenSUSE 12.1 64 bit
2012-07-16 09:43 AM - Daniel Lee

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No
Operating System: OpenSUSE Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 15415
Description

Since the update to QGIS 1.8, QGIS no longer starts. The splash screen appears and then disappears, and the QGIS process dies.
Here's the output from the command line:

lee@linux-p4b1:~> qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]

qgis: siplib.c:10965: sipEnumType_alloc: Assertion *(((currentType)->td_flags & 0x0007) == 0x0003)' failed.
Aborted

I'm working with QGIS from SUSE's Geo repository. The problem hs been present ever since | upgraded and leads to me not being able
to use QGIS at all :( Anybody have a fix on this? Thanks!

Related issues:
Duplicates QGIS Application - Bug report # 5169: QGIS crashes on startup on 6... Closed 2012-03-12

History

#1 - 2012-09-04 11:52 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-05 02:40 PM - Giovanni Manghi
- Affected QGIS version changed from master to 1.8.0

- Priority changed from Severe/Regression to High

- Status changed from Open to Feedback

What it the status of this issue? Please leave feedback.

#3 - 2012-10-05 11:42 PM - Daniel Lee
- Status changed from Feedback to Closed

Sorry, had forgotten that | left the report open. After an update to 12.2 the problem was gone. | think it might have been a problem with some custom
libraries | had installed to be able to compile some software, but there are a lot of those. | can't duplicate the problem any more and am closing the bug.

2025-12-15 1/1




